Package com.sas.lsaf.content.utilization

## Class ResourceUtilizationContainerInfo

- java.lang.Object
- - com.sas.lsaf.content.utilization.ResourceUtilizationContainerInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ResourceUtilizationContainerInfo
      extends java.lang.Object
      implements java.io.Serializable

  Represents a workspace or repository container with total size of all its children.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceUtilizationContainerInfo​(java.lang.String typeId, java.lang.String name, java.lang.String path, long size)` | The initializing constructor that sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` | Gets the name for this item.
    `java.lang.String` | `getPath()` | Gets the full path to the item.
    `long` | `getSize()` | Gets the total size (in bytes) of the item.
    `java.lang.String` | `getTypeId()` | Gets the identifying type for this item.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceUtilizationContainerInfo

          public ResourceUtilizationContainerInfo​(java.lang.String typeId,
                                                  java.lang.String name,
                                                  java.lang.String path,
                                                  long size)

      The initializing constructor that sets the values of all variables.

      It is not intended or recommended that the consumer of the API construct these objects. They should only be retrieved from service calls, such as `ResourceUtilizationService.getRepositoryContainerChildrenAndSizes(String)`.

      Parameters:
        `typeId` - The identifying type for this item.
        `name` - The name of the item.
        `path` - The full path to the item.
        `size` - The total size (in bytes) of the item.

  - ### Method Detail

    - #### getTypeId

          public java.lang.String getTypeId()

      Gets the identifying type for this item.
      Returns:
        The identifying type.

    - #### getName

          public java.lang.String getName()

      Gets the name for this item.
      Returns:
        The name.

    - #### getPath

          public java.lang.String getPath()

      Gets the full path to the item.
      Returns:
        The full path.

    - #### getSize

          public long getSize()

      Gets the total size (in bytes) of the item.
      Returns:
        The total size (in bytes).

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`